---
title: Verify User
description: The POST /{{envID}}/flows/{{flowID}} operation initiates an action to verify the user account to continue the authentication flow. The user must click the link in the verification email to verify the account. The request body requires the verificationCode attribute identifying the verification code to check. This operation uses the application/vnd.pingidentity.user.verify+json custom media type as the content type in the request header. The account verification code is 8 alphanumeric characters and has no timeout. These attributes are not configurable.
component: pingone-api
page_id: pingone-api:auth:flows/registration-and-verification/verify-user
canonical_url: https://developer.pingidentity.com/pingone-api/auth/flows/registration-and-verification/verify-user.html
section_ids:
  prerequisites: Prerequisites
  headers: Headers
  body: Body
  example-request: Example Request
  example-response: Example Response
---

# Verify User

##

```none
POST {{authPath}}/{{envID}}/flows/{{flowID}}
```

The `POST /{{envID}}/flows/{{flowID}}` operation initiates an action to verify the user account to continue the authentication flow. The user must click the link in the verification email to verify the account. The request body requires the `verificationCode` attribute identifying the verification code to check. This operation uses the `application/vnd.pingidentity.user.verify+json` custom media type as the content type in the request header. The account verification code is 8 alphanumeric characters and has no timeout. These attributes are not configurable.

### Prerequisites

* Refer to [Flows](../flows-1.html) for important overview information.

* Send an authorize request to get a flow ID: [Authorize](../../openid-connect-oauth-2/authorize-intro.html). Refer also to [Login action authentication flow](../../../foundations/authentication-concepts/pingone-authentication-flow-states/login-action.html) and [Authorization and authentication](../../../foundations/authentication-concepts.html).

* Start the flow: [Read Flow](../flows-1/read-flow.html).

* Refer also to the `VERIFICATION_REQUIRED` and `VERIFICATION_CODE_REQUIRED` flow states in the [Flow status values table](../flows-1.html).

> **Collapse: Request Model**
>
> | Property           | Type   | Required? |
> | ------------------ | ------ | --------- |
> | `verificationCode` | String | Required  |

### Headers

Content-Type      application/vnd.pingidentity.user.verify+json

### Body

raw ( application/vnd.pingidentity.user.verify+json )

```json
{
    "verificationCode": "xxxxxx"
}
```

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{authPath}}/{{envID}}/flows/{{flowID}}' \
--header 'Content-Type: application/vnd.pingidentity.user.verify+json' \
--data '{
    "verificationCode": "xxxxxx"
}'
```

```csharp
var options = new RestClientOptions("{{authPath}}/{{envID}}/flows/{{flowID}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Post);
request.AddHeader("Content-Type", "application/vnd.pingidentity.user.verify+json");
var body = @"{" + "\n" +
@"    ""verificationCode"": ""xxxxxx""" + "\n" +
@"}";
request.AddStringBody(body, DataFormat.Json);
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "strings"
  "net/http"
  "io"
)

func main() {

  url := "{{authPath}}/{{envID}}/flows/{{flowID}}"
  method := "POST"

  payload := strings.NewReader(`{
    "verificationCode": "xxxxxx"
}`)

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, payload)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Content-Type", "application/vnd.pingidentity.user.verify+json")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
POST /{{envID}}/flows/{{flowID}} HTTP/1.1
Host: {{authPath}}
Content-Type: application/vnd.pingidentity.user.verify+json

{
    "verificationCode": "xxxxxx"
}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("application/vnd.pingidentity.user.verify+json");
RequestBody body = RequestBody.create(mediaType, "{\n    \"verificationCode\": \"xxxxxx\"\n}");
Request request = new Request.Builder()
  .url("{{authPath}}/{{envID}}/flows/{{flowID}}")
  .method("POST", body)
  .addHeader("Content-Type", "application/vnd.pingidentity.user.verify+json")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{authPath}}/{{envID}}/flows/{{flowID}}",
  "method": "POST",
  "timeout": 0,
  "headers": {
    "Content-Type": "application/vnd.pingidentity.user.verify+json"
  },
  "data": JSON.stringify({
    "verificationCode": "xxxxxx"
  }),
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'POST',
  'url': '{{authPath}}/{{envID}}/flows/{{flowID}}',
  'headers': {
    'Content-Type': 'application/vnd.pingidentity.user.verify+json'
  },
  body: JSON.stringify({
    "verificationCode": "xxxxxx"
  })

};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests
import json

url = "{{authPath}}/{{envID}}/flows/{{flowID}}"

payload = json.dumps({
  "verificationCode": "xxxxxx"
})
headers = {
  'Content-Type': 'application/vnd.pingidentity.user.verify+json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{authPath}}/{{envID}}/flows/{{flowID}}');
$request->setMethod(HTTP_Request2::METHOD_POST);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Content-Type' => 'application/vnd.pingidentity.user.verify+json'
));
$request->setBody('{\n    "verificationCode": "xxxxxx"\n}');
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "json"
require "net/http"

url = URI("{{authPath}}/{{envID}}/flows/{{flowID}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Post.new(url)
request["Content-Type"] = "application/vnd.pingidentity.user.verify+json"
request.body = JSON.dump({
  "verificationCode": "xxxxxx"
})

response = http.request(request)
puts response.read_body
```

```swift
let parameters = "{\n    \"verificationCode\": \"xxxxxx\"\n}"
let postData = parameters.data(using: .utf8)

var request = URLRequest(url: URL(string: "{{authPath}}/{{envID}}/flows/{{flowID}}")!,timeoutInterval: Double.infinity)
request.addValue("application/vnd.pingidentity.user.verify+json", forHTTPHeaderField: "Content-Type")

request.httpMethod = "POST"
request.httpBody = postData

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/flows/038ceb72-471c-4679-abb4-a0d59ff5d01b"
        }
    },
    "id": "038ceb72-471c-4679-abb4-a0d59ff5d01b",
    "session": {
        "id": "20d7fa9f-a2f0-46d4-b058-0d2786bcba59"
    },
    "resumeUrl": "https://auth.pingone.com/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/as/resume?flowId=038ceb72-471c-4679-abb4-a0d59ff5d01b",
    "status": "COMPLETED",
    "createdAt": "2021-04-27T00:03:33.648Z",
    "expiresAt": "2021-04-27T00:19:44.130Z",
    "_embedded": {
        "user": {
            "id": "ffc8b7f4-9fdc-4f66-82bb-4e2142ab25ee",
            "username": "registered-user_2"
        },
        "application": {
            "name": "RegistrationUseCaseApp"
        }
    }
}
```
